Bug 1473262 - repoquery --unsatisfied: "the operation would result in removing ..."
repoquery --unsatisfied: "the operation would result in removing ..."
Status: POST
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Mracek
Fedora Extras Quality Assurance
: Triaged
: 1484420 1492389 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 06:46 EDT by Ian Collier
Modified: 2018-05-10 00:40 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Collier 2017-07-20 06:46:02 EDT
On one particular machine that has recently been updated to Fedora 26:

$ dnf repoquery --unsatisfied
Last metadata expiration check: 0:00:05 ago on Thu Jul 20 11:40:40 2017.
The operation would result in removing the following protected packages: kernel-core

This message doesn't seem to make sense for a query operation!

Here are all the kernel packages that are installed on the machine:

kernel-4.11.10-300.fc26.x86_64
kernel-4.11.8-200.fc25.x86_64
kernel-4.11.9-300.fc26.x86_64
kernel-core-4.11.10-300.fc26.x86_64
kernel-core-4.11.8-200.fc25.x86_64
kernel-core-4.11.9-300.fc26.x86_64
kernel-devel-4.11.10-300.fc26.x86_64
kernel-devel-4.11.8-200.fc25.x86_64
kernel-devel-4.11.9-300.fc26.x86_64
kernel-headers-4.11.10-300.fc26.x86_64
kernel-modules-4.11.10-300.fc26.x86_64
kernel-modules-4.11.8-200.fc25.x86_64
kernel-modules-4.11.9-300.fc26.x86_64
kernel-tools-libs-4.11.10-300.fc26.x86_64

The currently running kernel is 4.11.9-300.fc26.x86_64

Here are the dnf-related packages on the machine:

dnf-2.5.1-1.fc26.noarch
dnf-conf-2.5.1-1.fc26.noarch
python3-dnf-plugin-system-upgrade-2.0.1-1.fc26.noarch
python2-dnf-plugins-extras-common-2.0.1-1.fc26.noarch
dnf-plugins-core-2.1.2-2.fc26.noarch
python2-dnf-2.5.1-1.fc26.noarch
python3-dnf-plugins-core-2.1.2-2.fc26.noarch
python3-dnf-plugins-extras-common-2.0.1-1.fc26.noarch
dnf-yum-2.5.1-1.fc26.noarch
python3-dnf-2.5.1-1.fc26.noarch
python2-dnf-plugin-system-upgrade-2.0.1-1.fc26.noarch
libdnf-0.9.2-1.fc26.x86_64
python2-hawkey-0.9.2-1.fc26.x86_64
python3-hawkey-0.9.2-1.fc26.x86_64
libsolv-0.6.28-1.fc26.x86_64
Comment 1 Igor Gnatenko 2017-08-30 02:58:57 EDT
*** Bug 1484420 has been marked as a duplicate of this bug. ***
Comment 2 Jaroslav Mracek 2017-08-30 13:18:17 EDT
I created a patch that should solve the problem (https://github.com/rpm-software-management/dnf/pull/914).
Comment 3 Igor Gnatenko 2017-09-20 07:24:12 EDT
*** Bug 1492389 has been marked as a duplicate of this bug. ***
Comment 4 Fedora End Of Life 2018-05-03 04:17:15 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Davide Repetto 2018-05-04 14:31:28 EDT
This particular problem seems solved. Can we close the ticket?
Comment 6 Jaroslav Mracek 2018-05-09 04:02:55 EDT
We will close it after release. Ii it OK?
Comment 7 Davide Repetto 2018-05-10 00:40:52 EDT
Fine by me. Thanks! :)

Note You need to log in before you can comment on or make changes to this bug.